﻿using System;
using System.Web;

namespace Website.Models
{
    public class InventoryManager
    {
        public InventoryData GetInventoryData()
        {
            if(HttpRuntime.Cache["InventoryData"] == null)
                return this.CreateInitialData();
            var item = (InventoryData)HttpRuntime.Cache["InventoryData"];
            item.Reserve += this.generateRandomReserveAmount();
            return item;
        }

        public InventoryData CreateInitialData()
        {
            var item = new InventoryData { InStock = 20, Reserve = 0 };
            HttpRuntime.Cache["InventoryData"] = item;
            return item;
        }

        private int generateRandomReserveAmount()
        {
            var random = new Random();
            return random.Next(1, 6);
        }
    }
}